Package org.eclipse.m2m.atl.core

## Interface IInjector

All Known Implementing Classes:
  `ASMInjector`, `AtlParser`, `EMFInjector`

    public interface IInjector

The IInjector interface defines a way to serialize a given IModel.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `inject​(IModel targetModel, java.io.InputStream source, java.util.Map<java.lang.String,​java.lang.Object> options)` Injects data into an IModel using the given options.
`void` `inject​(IModel targetModel, java.io.Reader source, java.util.Map<java.lang.String,​java.lang.Object> options)` Injects data into an IModel using the given options.
`void` `inject​(IModel targetModel, java.lang.String source)` Injects data into an IModel using default options.
`void` `inject​(IModel targetModel, java.lang.String source, java.util.Map<java.lang.String,​java.lang.Object> options)` Injects data into an IModel using the given options.

### Method Detail

#### inject

    void inject​(IModel targetModel,
                java.lang.String source)
         throws ATLCoreException

Injects data into an IModel using default options.

Parameters:
  `targetModel` - the IModel where to inject
  `source` - the source indication to load the sourceModel
Throws:
  `ATLCoreException`

#### inject

    void inject​(IModel targetModel,
                java.lang.String source,
                java.util.Map<java.lang.String,​java.lang.Object> options)
         throws ATLCoreException

Injects data into an IModel using the given options.

Parameters:
  `targetModel` - the IModel where to inject
  `source` - the source indication to load the sourceModel: an URL, or a specific thing
  `options` - the injection parameters
Throws:
  `ATLCoreException`

#### inject

    void inject​(IModel targetModel,
                java.io.InputStream source,
                java.util.Map<java.lang.String,​java.lang.Object> options)
         throws ATLCoreException

Injects data into an IModel using the given options.

Parameters:
  `targetModel` - the IModel where to inject
  `source` - the `InputStream` containing the model
  `options` - the injection parameters
Throws:
  `ATLCoreException`

#### inject

    void inject​(IModel targetModel,
                java.io.Reader source,
                java.util.Map<java.lang.String,​java.lang.Object> options)
         throws ATLCoreException

Injects data into an IModel using the given options.

Parameters:
  `targetModel` - the IModel where to inject
  `source` - the `Reader` containing the model
  `options` - the injection parameters
Throws:
  `ATLCoreException`